package diego

import "testing"

const testString = "hello"

func GetBasicString(ctx InjectionContext) string {
	return testString
}

var BasicStringToken InjectionToken[string] = InjectionToken[string]{
	"BASIC_STRING",
	GetBasicString,
}

func TestDependencyInjection(t *testing.T) {
	value := Inject(BasicStringToken)

	if value != testString {
		t.Errorf("Could not inject basic string token, expected = %s(%T), got = %s(%T)", testString, testString, value, value)
	}
}
